Changeset 556
- Timestamp:
- Jul 14, 2020, 1:20:22 PM (4 years ago)
- Location:
- trunk
- Files:
-
- 4 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/Makefile.in
r550 r556 687 687 run-light: all 688 688 @echo "Building $(PACKAGE)-$(VERSION).run"; \ 689 STAGE=$(PACKAGE)-$(VERSION) ; \689 STAGE=$(PACKAGE)-$(VERSION)-run-installer; \ 690 690 mkdir $$STAGE; \ 691 691 if test x"$$?" != x0; then \ … … 709 709 echo "cp -p $$temp/* $(sbindir) || exit 1" >> $$STAGE/setup.sh; \ 710 710 temp=`echo $(sysconfdir) | sed s,^/,,`; \ 711 echo "chown root $$temp/*" >> $$STAGE/setup.sh; \711 echo "chown -R root $$temp/*" >> $$STAGE/setup.sh; \ 712 712 configfile=`echo @myconffile@ | sed 's%^REQ_FROM_SERVER%%'`; \ 713 echo "test -f $$configfile || cp -p $$temp/* $$configfile" >> $$STAGE/setup.sh; \ 714 echo "./samhain-install.sh --express --verbose install-boot || echo 'Cannot install init script'" >> $$STAGE/setup.sh; \ 713 echo "cp -pr $$temp/* @sysconfdir@" >> $$STAGE/setup.sh; \ 714 echo "./samhain-install.sh --express --verbose install-boot" >> $$STAGE/setup.sh; \ 715 echo "if [ \$$? -ne 0 ]" >> $$STAGE/setup.sh; \ 716 echo "then" >> $$STAGE/setup.sh; \ 717 echo " echo 'Installation finished, but could not install boot-time init scripts'" >> $$STAGE/setup.sh; \ 718 echo " exit 2" >> $$STAGE/setup.sh; \ 719 echo "fi" >> $$STAGE/setup.sh; \ 720 echo "echo 'Installation finished'" >> $$STAGE/setup.sh; \ 721 echo "exit 0" >> $$STAGE/setup.sh; \ 715 722 cp $(top_srcdir)/mkinstalldirs $$STAGE/; \ 716 723 cp $(top_srcdir)/install-sh $$STAGE/; \ … … 722 729 chmod +x $$STAGE/install-sh; \ 723 730 $(top_srcdir)/scripts/makeself/makeself.sh --header $(top_srcdir)/scripts/makeself/makeself-header.sh --nocomp --nomd5 --notemp $$STAGE $(PACKAGE)-$(VERSION).run "$(PACKAGE)_$(VERSION)_self_extracting_installer" ./setup.sh && \ 724 rm -r $ (PACKAGE)-$(VERSION)731 rm -r $$STAGE 725 732 726 733 emerge-prepare: dist -
trunk/docs/Changelog
r553 r556 1 4.4.2: 2 * re-enabled reading options from option group [samhain] in my.cnf 3 * fix server install in configure.ac: samhainadmin.pl <-> yuleadmin.pl 4 * add more verbosity to portable binary installer, fix minor issues 5 1 6 4.4.1: 2 7 * fix compatibility problem with older (version 2.0.x) GnuPG -
trunk/samhain-install.sh.in
r550 r556 1137 1137 echo " ${DESTDIR}/${rc_systemd}/${samhain}.service exists ... not overwritten (or use --force)" 1138 1138 else 1139 test -z "$verbose" || echo " installing ${servicescript} as ${DESTDIR}/${rc_systemd}/${samhain}.service" 1139 1140 ${INSTALL_DATA} ${servicescript} "${DESTDIR}/${rc_systemd}/${samhain}.service" 1140 1141 fi -
trunk/scripts/makeself/makeself.sh
r1 r556 293 293 echo Adding files to archive named \"$archname\"... 294 294 (cd "$archdir"; tar $TAR_ARGS - * | eval "$GZIP_CMD" ) >> "$tmpfile" || { echo Aborting; rm -f "$tmpfile"; exit 1; } 295 echo >> "$tmpfile" >&- # try to close the archive 295 # The following command seems both superfluous and causing an 'I/O error' message 296 # echo >> "$tmpfile" >&- # try to close the archive 296 297 297 298 fsize=`cat "$tmpfile" | wc -c | tr -d " "`
Note:
See TracChangeset
for help on using the changeset viewer.